<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('riga_ordine_notifica', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('riga_ordine_id')->unsigned()->nullable();
            $table->string('fcm_token')->nullable();
            $table->timestamp('notificato_at')->nullable();
            $table->timestamps();
        });

        Schema::table('riga_ordine_notifica', function (Blueprint $table) {
            $table->foreign('riga_ordine_id')->references('id')->on('riga_ordine')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('riga_ordine_notifica');
    }
};
